### Signal

# Adw TabView::create-window

since: 1

#### Declaration

    AdwTabView*
    create_window (
      AdwTabView* self,
      gpointer user_data
    )

#### Description [src]

Emitted when a tab should be transferred into a new window.

This can happen after a tab has been dropped on desktop.

The signal handler is expected to create a new window, position it as needed and return its `AdwTabView` that the page will be transferred into.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1

#### Return value

Type: `AdwTabView`

The `AdwTabView` from the new window.

The data is owned by the called function.
The return value can be `NULL`.